Delete a specific catalog_field by id
curl --request DELETE \
--url https://api.rootly.com/v1/catalog_fields/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "64ec5b9d-f6b6-4c13-b508-8b42b9107622",
"type": "catalog_fields",
"attributes": {
"name": "Test",
"slug": "test",
"kind": "reference",
"kind_catalog_id": "c018b830-a90f-4ee3-abf3-ed8c16138450",
"multiple": false,
"position": 1,
"deleted_at": "2026-02-13T18:05:12.705-08:00",
"updated_at": "2026-02-13T18:05:12.705-08:00",
"created_at": "2026-02-13T18:05:11.660-08:00",
"catalog_id": "c018b830-a90f-4ee3-abf3-ed8c16138450"
},
"relationships": {
"catalog": {
"data": {
"type": "catalogs",
"id": "c018b830-a90f-4ee3-abf3-ed8c16138450"
}
}
}
}
}Was this page helpful?
curl --request DELETE \
--url https://api.rootly.com/v1/catalog_fields/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "64ec5b9d-f6b6-4c13-b508-8b42b9107622",
"type": "catalog_fields",
"attributes": {
"name": "Test",
"slug": "test",
"kind": "reference",
"kind_catalog_id": "c018b830-a90f-4ee3-abf3-ed8c16138450",
"multiple": false,
"position": 1,
"deleted_at": "2026-02-13T18:05:12.705-08:00",
"updated_at": "2026-02-13T18:05:12.705-08:00",
"created_at": "2026-02-13T18:05:11.660-08:00",
"catalog_id": "c018b830-a90f-4ee3-abf3-ed8c16138450"
},
"relationships": {
"catalog": {
"data": {
"type": "catalogs",
"id": "c018b830-a90f-4ee3-abf3-ed8c16138450"
}
}
}
}
}